Subject: Re: bug#11434: 24.0.96; Determining major mode for a given file extension

From: Stefan Kangas <[email-masked]>
Date: Thu, 31 Oct 2019 08:31:57 +0100

Stefan Monnier <[email-masked]> writes:

>>> I'd use (let ((buffer-file-name "foo.js")) (set-auto-mode)) instead.
>> So it's just my Lisp that's bad, not my approach? :)
>
> I think so, yes.  You can also use create-file-buffer with some dummy
> file name and then call after-find-file (that's what I did in PCL-CVS).

It seems to me like there is no bug here.  Am I missing something?

If I don't hear back within a couple of weeks, I'll go ahead and close
this bug report.

Best regards,
Stefan Kangas